Code review: check return value of run account setup wizard
[modest] / configure.ac
1 # Copyright (c) 2006,2007 Nokia Corporation
2 # All rights reserved.
3
4 # Redistribution and use in source and binary forms, with or without
5 # modification, are permitted provided that the following conditions are
6 # met:
7
8 # * Redistributions of source code must retain the above copyright
9 #   notice, this list of conditions and the following disclaimer.
10 # * Redistributions in binary form must reproduce the above copyright
11 #   notice, this list of conditions and the following disclaimer in the
12 #   documentation and/or other materials provided with the distribution.
13 # * Neither the name of the Nokia Corporation nor the names of its
14 #   contributors may be used to endorse or promote products derived from
15 #   this software without specific prior written permission.
16
17 # THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
18 # IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
19 # TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
20 # PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
21 # OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
22 # EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
23 # PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
24 # PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
25 # LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
26 # NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
27 # SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
28
29 AC_INIT([modest],[3.0],[http://maemo.org])
30 AC_CONFIG_HEADERS([config.h])
31
32 m4_define([modest_api_major_version], [1])
33 m4_define([modest_api_minor_version], [0])
34 m4_define([modest_api_micro_version], [0])
35 m4_define([modest_api_version], [modest_api_major_version.modest_api_minor_version.modest_api_micro_version])
36
37
38 AC_CONFIG_SRCDIR(src/modest-main.c)
39 AM_INIT_AUTOMAKE([dist-bzip2])
40
41 MODEST_API_MAJOR_VERSION=modest_api_major_version
42 MODEST_API_MINOR_VERSION=modest_api_minor_version
43 MODEST_API_MICRO_VERSION=modest_api_micro_version
44 MODEST_API_VERSION=modest_api_version
45 AC_SUBST(MODEST_API_MAJOR_VERSION)
46 AC_SUBST(MODEST_API_MINOR_VERSION)
47 AC_SUBST(MODEST_API_MICRO_VERSION)
48 AC_SUBST(MODEST_API_VERSION)
49
50 ALL_LINGUAS="en_GB"
51
52 MODEST_LOCALE_DIR='$prefix/${DATADIRNAME}/locale'
53 AM_GLIB_DEFINE_LOCALEDIR([MODEST_LOCALE_DIR])
54 AM_GLIB_GNU_GETTEXT
55
56 if test x$prefix = xNONE; then
57    prefix=/usr/local
58 fi
59 AC_SUBST(prefix)
60
61 AC_PROG_CC
62 AC_PROG_CXX
63 AM_PROG_CC_STDC
64 AC_HEADER_STDC
65 AC_PROG_LIBTOOL
66
67
68 # Option to enable debugging
69 AC_ARG_ENABLE(debug,
70               [AC_HELP_STRING([--enable-debug],[Debugging (default=no)])],
71               [with_debug=yes], [with_debug=no])
72
73 if test "x$with_debug" == "xyes" ; then
74         CFLAGS="$CFLAGS -ggdb -O0 -DDEBUG -Wall"
75 else
76         CFLAGS="$CFLAGS -O2 -Wall"
77 fi
78
79 # Option to enable debugging
80 AC_ARG_ENABLE(gcov,
81               [AC_HELP_STRING([--enable-gcov],[Coverage reporting (default=no)])],
82               [with_gcov=yes], [with_gcov=no])
83
84 if test "x$with_gcov" == "xyes" ; then
85         CFLAGS="$CFLAGS -fprofile-arcs -ftest-coverage"
86         LDFLAGS="$LDFLAGS -lgcov"
87 fi
88
89
90
91 dnl -------
92 dnl GtkHTML
93 dnl -------
94
95 AC_MSG_CHECKING(for installed version of libgtkhtml3)
96 pkg-config --exists libgtkhtml-3.14
97 retval=$?
98 gtk_html_found=false
99 if test $retval -eq 0 ; then
100     gtk_html_found=true
101     gtk_html_version=3.14
102 else
103     pkg-config --exists libgtkhtml-3.8
104     retval=$?
105     if test $retval -eq 0 ; then
106       gtk_html_found=true
107       gtk_html_version=3.8
108     else
109           if [ $gui = "true" ]; then
110             AC_MSG_RESULT(libgtkhtml 3.4 or higher is not found!)
111           fi
112     fi
113 fi
114
115 if [ $gtk_html_found = "true" ]; then
116    version=`pkg-config --modversion libgtkhtml-${gtk_html_version}`
117    AC_MSG_RESULT(found version $version)
118 else
119    AC_MSG_ERROR([install gtkhtml 3.8 or newer])
120 fi
121
122
123 dnl # GLib/Gobject/Gtk/Gconf => mandatory
124
125 PKG_CHECK_MODULES(MODEST_GSTUFF,glib-2.0 >= 2.6 gobject-2.0 gtk+-2.0 >= 2.6 gconf-2.0 gnome-vfs-2.0 libgtkhtml-${gtk_html_version} libtinymail-1.0 libtinymail-camel-1.0 libtinymail-gnomevfs-1.0 libtinymailui-1.0 libtinymailui-gtk-1.0) 
126 AC_SUBST(MODEST_GSTUFF_CFLAGS)
127 AC_SUBST(MODEST_GSTUFF_LIBS)
128
129 modest_save_cflags="$CFLAGS"
130 modest_save_libs="$LIBS"
131 PKG_CHECK_MODULES(MODEST_GTKHTML,libgtkhtml-${gtk_html_version})
132 AC_SUBST(MODEST_GTKHTML_CFLAGS)
133 AC_SUBST(MODEST_GTKHTML_LIBS)
134 CFLAGS="$MODEST_GTKHTML_CFLAGS"
135 LIBS="$MODEST_GTKHTML_LIBS"
136 AC_CHECK_DECLS([gtk_widget_tap_and_hold_setup],[],[], [#include <gtk/gtk.h>])
137 AC_CHECK_FUNCS(gtk_html_get_selection_area)
138 AC_SUBST(HAVE_GTK_HTML_GET_SELECTION_AREA)
139 AC_CHECK_FUNCS(gtk_tree_view_column_get_cell_data_hint)
140 AC_SUBST(HAVE_GTK_TREE_VIEW_COLUMN_GET_CELL_DATA_HINT)
141 CFLAGS="$modest_save_cflags"
142 LIBS="$modest_save_libs"
143
144
145 dnl dnl now, determine what to build
146 dnl AC_MSG_NOTICE([Determining what platform to build])
147 PKG_CHECK_MODULES(MODEST_MAEMO_LIBS,conic,[detected_platform=maemo],[detected_platform=gnome])
148
149 AC_ARG_WITH(platform, [
150 Target platform:
151   --with-platform=detect  detect target platform (default)
152   --with-platform=gnome   build for Gnome
153   --with-platform=maemo   build for Maemo
154 ],
155 [case "${with_platform}" in
156        gnome|maemo|detect)    MODEST_PLATFORM=${with_platform};;
157        *)        AC_MSG_ERROR([Unknown platform selected]);;
158 esac], [MODEST_PLATFORM=detect])
159
160 if test "$MODEST_PLATFORM" = "detect"; then
161         MODEST_PLATFORM="$detected_platform"
162         with_platform=$detected_platform
163 fi
164
165 if test "$with_platform" = "maemo"; then
166         MODEST_PLUGIN_DEFINES=" -DMODEST_PLATFORM_MAEMO -DMODEST_API_VERSION=${MODEST_API_VERSION}"
167 elif test "$with_platform" = "gnome"; then
168         MODEST_PLUGIN_DEFINES=" -DMODEST_PLATFORM_GNOME -DMODEST_API_VERSION=${MODEST_API_VERSION}"
169 fi
170 AC_SUBST(MODEST_PLUGIN_DEFINES)
171
172 #
173 # check the widgets library
174 #
175 have_hildon2=false
176 have_hildon1=false
177 have_hildon0=false
178 have_gtk=false
179 PKG_CHECK_EXISTS(hildon-1, have_hildon1=true,have_hildon1=false)
180 if test "$have_hildon1" = "true"; then
181    PKG_CHECK_EXISTS(hildon-1 >= 2.1.0, have_hildon2=true, have_hildon2=false)
182    PKG_CHECK_MODULES(MODEST_HILDON_WIDGETS,hildon-1 hildon-fm-2)
183    hildonpkgs="hildon-1 hildon-fm-2"
184    detected_toolkit=hildon1
185    echo "DETECTED HILDON 1 $have_hildon2."
186 else
187    hildonpkgs="hildon-libs hildon-fm"
188    detected_toolkit=hildon1
189    PKG_CHECK_EXISTS(hildon-libs >= 0.12.0, have_hildon1=true, have_hildon1=false)
190    if test "$have_hildon1" = "false"; then
191       PKG_CHECK_EXISTS(hildon-libs, have_hildon0=true, have_hildon0=false)
192       if test "$have_hildon0" = "false"; then
193          have_gtk=true
194          detected_toolkit=gtk
195          hildonpkgs=
196       fi
197    fi
198    if test "$have_gtk" = "false"; then
199       PKG_CHECK_MODULES(MODEST_HILDON_WIDGETS,hildon-libs hildon-fm)
200    fi
201 fi
202
203 dnl --------------- HILDON & PLUGIN PKGS -----------
204 pluginpkgs=$hildonpkgs
205 echo "Plugin Packages $pluginpkgs"
206 AC_SUBST(pluginpkgs)
207
208 use_profile_data=false
209 # Plugin packages must not include libcanberra and libprofile
210 if test "$have_hildon2" = "true"; then
211    echo "DETECTED HILDON 2 $have_hildon2."
212    detected_toolkit=hildon2
213    hildonpkgs="$hildonpkgs libcanberra"
214    AC_CHECK_HEADER([profiled/keys_nokia.h], use_profile_data=true, use_profile_data=false)
215    if test "$use_profile_data" = "true"; then
216       hildonpkgs="$hildonpkgs profile"
217       AC_DEFINE_UNQUOTED(MODEST_USE_PROFILE, 1, ["Use the Profile data include"])
218    fi
219    echo "HILDON 2 PACKAGES $hildonpkgs"
220 fi
221 AC_SUBST(hildonpkgs)
222
223 dnl --------------- HILDON API ------------
224 hildon_api=
225 if test "$have_hildon0" = "true"; then
226    hildon_api=0
227 elif test "$have_hildon1" = "true"; then
228    hildon_api=1
229 elif test "$have_gtk" = "false"; then
230    hildon_api=`$PKG_CONFIG --modversion hildon-1 | cut -d. -f1`
231 fi
232
233 AC_DEFINE_UNQUOTED(MODEST_HILDON_API, $hildon_api, ["the API version of hildon"])
234 MODEST_PLUGIN_DEFINES="$MODEST_PLUGIN_DEFINES -DMODEST_HILDON_API=$hildon_api"
235
236 AC_ARG_WITH(toolkit, [
237 Target toolkit:
238   --with-toolkit=detect  detect target toolkit (default)
239   --with-toolkit=gtk   build for Gnome
240   --with-toolkit=hildon1   build for Hildon 1.x
241   --with-toolkit=hildon2   build for Hildon 2.x
242 ],
243 [case "${with_toolkit}" in
244        gtk|hildon1|hildon2|detect)    MODEST_TOOLKIT=${with_toolkit};;
245        *)        AC_MSG_ERROR([Unknown platform selected]);;
246 esac], [MODEST_TOOLKIT=detect])
247
248 if test "$MODEST_TOOLKIT" = "detect"; then
249         MODEST_TOOLKIT="$detected_toolkit"
250         with_toolkit=$detected_toolkit
251 fi
252
253 if test "$with_toolkit" = "hildon1"; then
254         MODEST_PLUGIN_DEFINES="$MODEST_PLUGIN_DEFINES -DMODEST_TOOLKIT_HILDON1"
255 elif test "$with_toolkit" = "hildon2"; then
256         MODEST_PLUGIN_DEFINES="$MODEST_PLUGIN_DEFINES -DMODEST_TOOLKIT_HILDON2"
257 elif test "$with_toolkit" = "gtk"; then
258         MODEST_PLUGIN_DEFINES="$MODEST_PLUGIN_DEFINES -DMODEST_TOOLKIT_GNOME"
259 fi
260
261 dnl Whether to use maemo-launcher or not
262 AC_ARG_ENABLE([maemo-launcher],
263               [AS_HELP_STRING([--enable-maemo-launcher],
264                               [build with maemo-launcher support])],
265                               [case "${enableval}" in
266                                yes) maemo_launcher=true ;;
267                                no)  maemo_launcher=false ;;
268                                *) AC_MSG_ERROR([bad value ${enableval} for --enable-maemo-launcher]) ;;
269                                esac], [maemo_launcher=false])
270 if test x$maemo_launcher = xtrue
271 then
272         PKG_CHECK_MODULES(MAEMO_LAUNCHER, [maemo-launcher-app])
273         AC_SUBST(MAEMO_LAUNCHER_CFLAGS)
274         AC_SUBST(MAEMO_LAUNCHER_LIBS)
275 fi
276
277 have_easysetup=false
278 if test "x$with_toolkit" == "xgtk"; then
279    PKG_CHECK_MODULES(MODEST_TOOLKIT,glib-2.0 >= 2.8 gtk+-2.0 >= 2.10 libnotify)
280    AC_DEFINE_UNQUOTED(MODEST_TOOLKIT_GTK, 1, ["Whether modest is being build for the gtk toolkit."])
281    MODEST_TOOLKIT_DIR=gnome
282 else
283    have_easysetup=true
284    PKG_CHECK_MODULES(MODEST_TOOLKIT,$hildonpkgs)
285    if test "$with_toolkit" = "hildon2"; then
286       AC_DEFINE_UNQUOTED(MODEST_TOOLKIT_HILDON2, 1, ["Whether modest is being build for the hildon2 toolkit."])
287       MODEST_TOOLKIT_DIR=hildon2
288    else
289       AC_DEFINE_UNQUOTED(MODEST_TOOLKIT_HILDON1, 1, ["Whether modest is being build for the hildon2 toolkit."])
290       MODEST_TOOLKIT_DIR=maemo
291    fi
292     AC_DEFINE_UNQUOTED(MODEST_HAVE_EASYSETUP, 1, ["Whether we have the easysetup feature"])
293 fi
294 AM_CONDITIONAL(MODEST_HAVE_EASYSETUP,test "x$have_easysetup" == "xtrue")
295 AC_SUBST(MODEST_TOOLKIT)
296 AC_SUBST(MODEST_TOOLKIT_DIR)
297
298 if test "x$with_platform" == "xgnome"; then
299       PKG_CHECK_MODULES(MODEST_PLATFORM,libtinymail-gnome-desktop-1.0 glib-2.0 >= 2.8 libnotify)
300     AC_DEFINE_UNQUOTED(MODEST_PLATFORM_GNOME, 1, ["Whether modest is being built for the GNOME platform."])
301 dnl     AC_MSG_ERROR([The GNOME Build is currently broken; please try the Maemo build instead])
302 else
303     have_dbusapi=true
304     PKG_CHECK_MODULES(MODEST_PLATFORM,libosso dbus-1 libtinymail-maemo-1.0 libebook-1.2 )
305     AC_DEFINE_UNQUOTED(MODEST_PLATFORM_MAEMO, 1, ["Whether modest is being built for the MAEMO platform."])
306 fi
307 AM_CONDITIONAL(MODEST_HAVE_DBUS_API,test "x$have_dbusapi" == "xtrue")
308 AC_SUBST(MODEST_PLATFORM)
309
310
311
312 #
313 # check for wpeditor or libwpeditor-plus (on maemo)
314 #
315 if test "x$with_toolkit" != "xgtk"; then  
316 PKG_CHECK_MODULES(MODEST_WPEDITOR,wpeditor,have_wpeditor=true,have_wpeditor=false)
317 if test "x$have_wpeditor" == "xfalse"; then
318    PKG_CHECK_MODULES(MODEST_WPEDITOR,libwpeditor-plus,have_libwpeditorplus=true,have_libwpeditorplus=false)     
319    if test "x$have_libwpeditorplus" == "xtrue"; then
320         wpeditor="libwpeditor-plus"
321         AC_DEFINE_UNQUOTED(MODEST_HAVE_LIBWPEDITOR_PLUS, 1, ["Whether libwpeditor-plus is used."])              
322    else
323         AC_MSG_ERROR([you need to have either wpeditor or libwpeditor-plus installed])
324    fi
325 else
326    wpeditor="wpeditor"  
327    AC_DEFINE_UNQUOTED(MODEST_HAVE_WPEDITOR, 1, ["Whether wpeditor is used."])           
328 fi
329 fi
330
331
332 #
333 # check libalarm
334 #
335 if test "x$with_platform" == "xmaemo"; then  
336    PKG_CHECK_MODULES(MODEST_LIBALARM,libalarm,have_libalarm=true,have_libalarm=false)
337    if test "x$have_libalarm" == "xfalse"; then
338       PKG_CHECK_MODULES(MODEST_LIBALARM, alarm, have_libalarm=true,have_libalarm=false)
339    fi
340    if test "x$have_libalarm" == "xtrue"; then
341       AC_DEFINE_UNQUOTED(MODEST_HAVE_LIBALARM, 1, ["Whether libalarm is used."])                
342       AC_SUBST(MODEST_LIBALARM_CFLAGS)
343       AC_SUBST(MODEST_LIBALARM_LIBS)
344    fi
345 fi
346
347 #
348 # check for MCE
349 #
350 if test "x$with_platform" == "xmaemo"; then  
351 PKG_CHECK_MODULES(MODEST_MCE,mce,have_mce=true,have_mce=false)
352 if test "x$have_mce" == "xtrue"; then
353    mce="mce"    
354    AC_DEFINE_UNQUOTED(MODEST_HAVE_MCE, 1, ["Whether mce is used."])
355    AC_SUBST(MODEST_MCE_CFLAGS)
356    AC_SUBST(MODEST_MCE_LIBS)
357 else
358    mce=""
359 fi
360 fi
361
362 #
363 # check for libconic; this is a trick to check whether we run
364 # on a 'real' maemo platform, or on, say, ubuntu embedded
365 # this determines whether we build with the non-hildon GTK+
366 #
367 if test "x$with_platform" == "xmaemo"; then  
368 PKG_CHECK_MODULES(MODEST_LIBCONIC,conic,have_libconic=true,have_libconic=false)
369 if test "x$have_libconic" == "xtrue"; then
370    AC_DEFINE_UNQUOTED(MODEST_HAVE_HILDON_GTK,1,["Whether modest is being built with Hildon/Gtk"])
371    AC_DEFINE_UNQUOTED(MODEST_HAVE_CONIC,1,["Whether modest has conic available"])
372    AC_SUBST(MODEST_LIBCONIC_CLAGS)
373    AC_SUBST(MODEST_LIBCONIC_LIBS)
374 else
375 # if we define this, tinymail will not try to #include conic headers
376    CFLAGS="$CFLAGS -DLIBTINYMAIL_MAEMO_WITHOUT_CONIC"
377 fi
378 fi
379
380 #
381 # check hildon-help (only for maemo AND NOT fremantle)
382 #
383 if test "x$with_toolkit" == "xhildon1"; then
384    PKG_CHECK_MODULES(MODEST_HILDON_HELP,hildon-help,have_hildon_help=true,have_hildon_help=false)
385    if test "x$have_hildon_help" == "xfalse"; then
386       PKG_CHECK_MODULES(MODEST_HILDON_HELP,libossohelp,have_osso_help=true,have_osso_help=false)        
387       if test "x$have_osso_help" == "xtrue"; then
388         helplib="osso-help"
389         AC_DEFINE_UNQUOTED(MODEST_HAVE_OSSO_HELP, 1, ["Whether osso-help is used."])            
390       else
391         AC_MSG_ERROR([you need to have either osso-help or hildon-help installed])
392       fi
393    else
394      helplib="hildon-help"
395      AC_DEFINE_UNQUOTED(MODEST_HAVE_HILDON_HELP, 1, ["Whether hildon-help is used."])           
396    fi
397 fi
398
399
400
401 #
402 # check for the notification stuff (only maemo)
403 #
404 if test "x$with_toolkit" != "xgtk"; then  
405    PKG_CHECK_MODULES(MODEST_HILDON_NOTIFY,hildon-notify libnotify,have_hildon_notify=true,have_hildon_notify=false)
406    if test "x$have_hildon_notify" == "xtrue"; then
407       AC_DEFINE_UNQUOTED(MODEST_HAVE_HILDON_NOTIFY, 1, ["Whether hildon-notify is available"])      
408    fi
409 fi
410
411
412 #
413 # check for the uri/mime stuff
414 #
415 if test "x$with_toolkit" != "xgtk"; then  
416    PKG_CHECK_MODULES(MODEST_HILDON_MIME,libhildonmime,have_hildonmime=true,have_hildonmime=false)
417    if test "x$have_hildonmime" == "xfalse"; then
418       PKG_CHECK_MODULES(MODEST_HILDON_MIME,libossomime,have_ossomime=true,have_ossomime=false)  
419       if test "x$have_ossomime" == "xtrue"; then
420         mimelib="osso-mime"
421         AC_DEFINE_UNQUOTED(MODEST_HAVE_OSSO_MIME, 1, ["Whether osso-mime is used."])            
422       else
423         AC_MSG_ERROR([you need to have either osso-mime or hildon-mime installed])
424       fi
425    else
426      mimelib="hildon-mime"      
427      AC_DEFINE_UNQUOTED(MODEST_HAVE_HILDON_MIME, 1, ["Whether hildon-mime is used."])           
428    fi
429 fi
430
431 PKG_CHECK_MODULES(MODEST_MOZEMBED, libtinymailui-mozembed-1.0, have_mozembed=true, have_mozembed=false)
432 AC_ARG_ENABLE(mozembed,
433 AC_HELP_STRING([--enable-mozembed],
434         [Build with GtkMozEmbed (yes, no)]),
435 [case "${enableval}" in
436       yes)
437         if test x$have_mozembed = xfalse; then
438            AC_MSG_ERROR([building of GtkMozEmbed support requested and gtkmozembed not found])
439         fi
440         use_mozembed=true
441         ;;
442       *)
443         use_mozembed=false
444         ;;
445 esac],[use_mozembed=false])
446
447 AM_CONDITIONAL(BUILD_MOZEMBED, test x$use_mozembed = xtrue)
448
449 if test x$use_mozembed = xtrue; then
450         AC_DEFINE_UNQUOTED(MODEST_USE_MOZEMBED, 1, ["Whether we use GtkMozEmbed."])
451 fi
452
453 #dnl wether we can and should build the 
454 #dnl search plugin (on maemo)
455 if test "x$with_platform" == "xmaemo"; then  
456 PKG_CHECK_MODULES(MODEST_OGS, libosso >= 0.8.5 libogs-1.2, have_ogs=true, have_ogs=false)
457 have_ogs_support=false
458 AC_ARG_ENABLE(ogs_support,
459 AC_HELP_STRING([--enable-ogs-support],
460         [Build with osso global search support (yes, no)]),
461 [case "${enableval}" in
462       yes)
463         if test x$have_ogs = xfalse; then
464            AC_MSG_ERROR([building of ogs support requested and libogs-1.2 not found])
465         fi
466         ;;
467       *) 
468         have_ogs_support=false
469         ;;
470 esac],[have_ogs_support=$have_ogs])
471
472 if test x$have_ogs_support = xtrue; then
473         AC_DEFINE_UNQUOTED(MODEST_HAVE_OGS, 1, ["Whether ogs is available."])
474 fi
475 fi
476
477
478
479
480 #
481 # check the version of the addressbook on maemo
482 #
483 if test "x$with_platform" == "xmaemo"; then  
484    PKG_CHECK_MODULES(MODEST_ABOOK,osso-addressbook-1.0,have_abook=true,have_abook=false)
485    abook_api=`$PKG_CONFIG --modversion osso-addressbook-1.0 | cut -d. -f1`
486    AC_SUBST(MODEST_ABOOK_CFLAGS)
487    AC_SUBST(MODEST_ABOOK_LIBS)
488
489    if test "x$have_abook" == "xfalse"; then
490      PKG_CHECK_MODULES(MODEST_ABOOK, libosso-abook-1.0,have_abook=true,have_abook=false)
491      abook_api=`$PKG_CONFIG --modversion libosso-abook-1.0 | cut -d. -f1`
492      AC_SUBST(MODEST_ABOOK_CFLAGS)
493      AC_SUBST(MODEST_ABOOK_LIBE)
494    fi
495
496    if test "x$have_abook" == "xtrue"; then
497       AC_DEFINE_UNQUOTED(OSSO_ABOOK_ENABLE_DEPRECATED, 1, ["use deprecated addressbook API"])
498       AC_DEFINE_UNQUOTED(MODEST_ABOOK_API, $abook_api, ["the API version of osso-addressbook"])
499       AC_DEFINE_UNQUOTED(MODEST_HAVE_ABOOK, 1, ["whether we have osso-addressbook"])
500       addressbook="osso-addressbook"
501    fi
502 fi
503
504
505 #
506 # if we don't have an addressbook, use the dummy one
507 #
508 AM_CONDITIONAL(MODEST_USE_DUMMY_ADDRESS_BOOK,test "x$have_abook" != "xtrue")
509
510
511 AM_GLIB_GNU_GETTEXT
512 IT_PROG_INTLTOOL([0.35.0])
513
514 # gettext support
515 GETTEXT_PACKAGE=modest  
516 AC_SUBST(GETTEXT_PACKAGE)
517 AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE, "$GETTEXT_PACKAGE", ["gettext package"])
518
519
520 #
521 # settings for maemo platform
522 #
523 if test "x$with_platform" == "xmaemo"; then  
524
525   # warnings are errors, but don't check format errors, because
526   # it breaks with logical ids
527   CFLAGS="$CFLAGS -Wno-format-extra-args -Werror"
528
529    desktopentrydir=`$PKG_CONFIG osso-af-settings --variable=desktopentrydir`
530    serviceentrydir=`$PKG_CONFIG dbus-glib-1 --variable=prefix`/share/dbus-1/services
531    localedir=`$PKG_CONFIG osso-af-settings --variable=localedir`
532    backupsettingsdir=/etc/osso-backup/applications
533    ossocudscriptsdir=/etc/osso-cud-scripts
534    pixmapdir=`$PKG_CONFIG osso-af-settings --variable=hildonpixmapdir`
535    icon_26x26dir=$datadir/icons/hicolor/26x26/hildon
536    icon_34x34dir=$datadir/icons/hicolor/34x34/hildon
537    icon_40x40dir=$datadir/icons/hicolor/40x40/hildon
538    icon_50x50dir=$datadir/icons/hicolor/50x50/hildon
539    icon_scalabledir=$datadir/icons/hicolor/scalable/hildon
540    pluginlibdir=`$PKG_CONFIG hildon-control-panel --variable=plugindir`
541    plugindesktopentrydir=`$PKG_CONFIG hildon-control-panel --variable=plugindesktopentrydir`
542
543    dbus_api="dbus_api"
544    AC_SUBST(dbus_api)
545
546    # Define as variables in Makefiles
547    AC_SUBST(desktopentrydir)
548    AC_SUBST(serviceentrydir)
549    AC_SUBST(backupsettingsdir)
550    AC_SUBST(ossocudscriptsdir)
551    AC_SUBST(localedir)
552    AC_SUBST(pixmapdir)
553    AC_SUBST(icon_26x26dir)
554    AC_SUBST(icon_34x34dir)
555    AC_SUBST(icon_40x40dir)
556    AC_SUBST(icon_50x50dir)
557    AC_SUBST(icon_scalabledir)
558    AC_SUBST(pluginlibdir)
559    AC_SUBST(plugindesktopentrydir)
560
561 fi
562
563 dnl ## setup the testing framework (ie., make check)
564 build_tests=false
565 AC_ARG_ENABLE(tests,
566 AC_HELP_STRING([--enable-tests],
567         [Build tests (no, yes)]),
568 [case "${enableval}" in
569       yes)
570         build_tests=true ;;
571       *) build_tests=false ;;
572 esac],[build_tests=false])
573 AM_CONDITIONAL(BUILD_TESTS, test x$build_tests = xtrue)
574
575
576
577 dnl ## is the check package installed?
578 if test x$build_tests = xtrue; then
579    PKG_CHECK_MODULES(CHECK, check >= 0.9.4 glib-2.0)
580 fi
581
582
583
584 dnl ## do we want documentation (gtk-doc)
585 build_docs=false
586 AC_ARG_ENABLE(docs,
587 AC_HELP_STRING([--enable-docs],
588         [Build documentation (yes, no)]),
589 [case "${enableval}" in
590       yes)
591         build_docs=true ;;
592       *) build_docs=false ;;
593 esac],[build_docs=false])
594 AM_CONDITIONAL(BUILD_DOCS, test x$build_docs = xtrue)
595
596 dnl ## gtk-doc
597 GTK_DOC_CHECK([1.0])
598
599 AC_OUTPUT([
600 po/Makefile.in
601 Makefile
602 man/Makefile
603 src/Makefile
604 src/modest-plugin-1.0.pc
605 src/dbus_api/Makefile
606 src/gnome/Makefile
607 src/maemo/Makefile
608 src/maemo/easysetup/Makefile
609 src/hildon2/Makefile
610 src/widgets/Makefile
611 docs/Makefile
612 docs/reference/Makefile
613 tests/Makefile
614 tests/dbus_api/Makefile
615 src/maemo/modest.desktop
616 src/maemo/com.nokia.modest.service
617 src/hildon2/modest.desktop
618 src/hildon2/com.nokia.modest.service
619 libmodest-dbus-client/Makefile
620 libmodest-dbus-client/libmodest-dbus-client-1.0.pc
621 ])
622
623
624 echo
625 echo "modest configure results"
626 echo "-----------------------------------"
627 echo "Platform         : $with_platform"
628 echo "Toolkit          : $with_toolkit"
629 echo "Prefix           : ${prefix}"
630 echo "Build tests      : $build_tests"
631 echo "Build docs       : $build_docs"
632 echo "Gettext Package  : $GETTEXT_PACKAGE"
633
634 if test "x$with_platform" == "xmaemo"; then
635    echo "Maemo Launcher   : $maemo_launcher"
636    echo "Editor lib       : $wpeditor"
637    echo "Addressbook      : $have_abook"
638    if test "x$with_toolkit" == "xhildon1"; then
639       echo "Help lib         : $helplib"
640    fi
641    echo "libconic support : $have_libconic"
642    echo "Alarm            : $have_libalarm"
643    echo "MCE              : $have_mce"
644    echo "Hildon-Notify    : $have_hildon_notify"
645    echo "LibOGS support   : $have_ogs_support"
646 fi
647
648 echo "MozEmbed support : $use_mozembed"
649 if [ $gtk_html_found = "true" ]; then
650    echo "GtkHTML version  : $gtk_html_version"
651 fi
652
653 echo "CFLAGS           : $CFLAGS"
654 echo "Debug version    : $with_debug"
655 echo ""
656 echo "NOTE: you should do a 'make clean' after changing architecture or platform (--with-platform=)"
657 echo ""